https://bugs.gentoo.org/943776
https://github.com/atar-axis/xpadneo/issues/498
https://github.com/atar-axis/xpadneo/commit/4bfe0a1c35
(+ include required linux/version.h from 242e9b46bb)
--- a/hid-xpadneo/src/hid-xpadneo.c
+++ b/hid-xpadneo/src/hid-xpadneo.c
@@ -713,5 +713,9 @@
 }
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(6,12,0)
 static u8 *xpadneo_report_fixup(struct hid_device *hdev, u8 *rdesc, unsigned int *rsize)
+#else
+static const u8 *xpadneo_report_fixup(struct hid_device *hdev, u8 *rdesc, unsigned int *rsize)
+#endif
 {
 	struct xpadneo_devdata *xdata = hid_get_drvdata(hdev);
--- a/hid-xpadneo/src/xpadneo.h
+++ b/hid-xpadneo/src/xpadneo.h
@@ -13,4 +13,5 @@
 
 #include <linux/hid.h>
+#include <linux/version.h>
 
 #include "hid-ids.h"
